Get Usage Stats
curl --request GET \
--url http://127.0.0.1:3333/v3/billing/usage-stats \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/billing/usage-stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/billing/usage-stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"totalSessions": 123,
"webSessions": 123,
"whatsappSessions": 123,
"aiResponses": 123,
"totalCreditsConsumed": 123,
"creditsUsedThisMonth": 123,
"plan": "HOBBY",
"creditsRecurring": 123,
"creditsPurchased": 123,
"totalMonthlyLimit": 123
}Billing & Usage
Get Usage Stats
Get detailed usage statistics (Odometer).
GET
/
v3
/
billing
/
usage-stats
Get Usage Stats
curl --request GET \
--url http://127.0.0.1:3333/v3/billing/usage-stats \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/billing/usage-stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/billing/usage-stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"totalSessions": 123,
"webSessions": 123,
"whatsappSessions": 123,
"aiResponses": 123,
"totalCreditsConsumed": 123,
"creditsUsedThisMonth": 123,
"plan": "HOBBY",
"creditsRecurring": 123,
"creditsPurchased": 123,
"totalMonthlyLimit": 123
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Response
200 - application/json
Default Response
Available options:
HOBBY, CORE, SCALE, LIFETIME, OFFERED, CUSTOM, UNLIMITED, DEDICATED